public class CastingDemo {
  /** Metoda main */
  public static void main(String[] args) {
	// Tworzenie i inicjowanie dwóch obiektów
    Object object1 = new CircleFromSimpleGeometricObject(1);
    Object object2 = new RectangleFromSimpleGeometricObject(1, 1);

	// Wyświetlanie koła i prostokąta
    displayObject(object1);
    displayObject(object2);
  }

  /** Metoda do wyświetlania obiektów */
  public static void displayObject(Object object) {
    if (object instanceof CircleFromSimpleGeometricObject) {
      System.out.println("Powierzchnia koła: " +
        ((CircleFromSimpleGeometricObject)object).getArea());
      System.out.println("Średnica koła: " +
        ((CircleFromSimpleGeometricObject)object).getDiameter());
    }
    else if (object instanceof 
                  RectangleFromSimpleGeometricObject) {
      System.out.println("Powierzchnia prostokąta: " +
        ((RectangleFromSimpleGeometricObject)object).getArea());
    }
  }
}
